import { PrismaService } from '../../prisma/prisma.service';
export declare class RunumService {
    private prisma;
    constructor(prisma: PrismaService);
    getNextNumber(runumId: string, reset: string): Promise<number>;
    findAll(): Promise<{
        id: string;
        createdAt: Date;
        modifiedAt: Date;
        runumId: string;
        reset: string;
        nid: number;
    }[]>;
    findOne(id: string): Promise<{
        id: string;
        createdAt: Date;
        modifiedAt: Date;
        runumId: string;
        reset: string;
        nid: number;
    } | null>;
    update(id: string, data: any): Promise<{
        id: string;
        createdAt: Date;
        modifiedAt: Date;
        runumId: string;
        reset: string;
        nid: number;
    }>;
    remove(id: string): Promise<{
        id: string;
        createdAt: Date;
        modifiedAt: Date;
        runumId: string;
        reset: string;
        nid: number;
    }>;
}
